Function
appendLocalMatch
Append a new local match to a LocalMatchStore
appendLocalMatchStore(store, subjectId, subjectBeginPos, subjectEndPos, queryId, queryBeginPos, queryEndPos)
appendLocalMatchStore(store, subjectName, subjectBeginPos, subjectEndPos, queryName, queryBeginPos, queryEndPos, cigarStringBuffer)
Include Headers
seqan/parse_lm.h
Parameters

store | The store to add the local match to. Types: LocalMatchStore
subjectId | Numeric subject sequence identifier.
subjectName | The textual name of the query sequence. Types: CharString
subjectBegin | The begin position of the match in the subject.
subjectEnd | The end position of the match in the subject.
queryId | Numeric query sequence identifier.
queryName | The textual name of the query sequence. Types: CharString
queryBegin | The begin position of the match in the query.
queryEnd | The end position of the match in the query.
cigarStringBuffer | Buffer with the cigar string of the local alignment. Types: CharString

Remarks
Matches on the reverse-complement are encoded by the begin position being greater than the begin position.
Member of
LocalMatchStore
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57